# Uses of Class
org.eclipse.birt.chart.computation.PlotComputation

Packages that use PlotComputation
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of PlotComputation in org.eclipse.birt.chart.computation.withaxes

Subclasses of PlotComputation in org.eclipse.birt.chart.computation.withaxes
Modifier and Type
Class
Description
`final class`
`PlotWith2DAxes`
This class is capable of computing the content of a chart (with axes) based on preferred sizes, text rotation, fit ability, scaling, etc and prepares it for rendering.
`class`
`PlotWith3DAxes`
This class is capable of computing the content of a chart (with axes) based on preferred sizes, text rotation, fit ability, scaling, etc and prepares it for rendering.
`class`
`PlotWithAxes`
PlotWithAxes
Fields in org.eclipse.birt.chart.computation.withaxes declared as PlotComputation
Modifier and Type
Field
Description
`final PlotComputation`
AutoScale.ScaleInfo.`plotComp`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type PlotComputation
Modifier
Constructor
Description
``
`ScaleInfo(PlotComputation plotComp, int iType, RunTimeContext rtc, FormatSpecifier fs, OneAxis ax, int iScaleDirection, boolean bExpandMinMax)`

## Uses of PlotComputation in org.eclipse.birt.chart.computation.withoutaxes

Subclasses of PlotComputation in org.eclipse.birt.chart.computation.withoutaxes
Modifier and Type
Class
Description
`final class`
`PlotWithoutAxes`
This class is capable of computing the content of a chart (without axes) based on preferred sizes, text rotation, fit ability, scaling, etc and prepares it for rendering.

## Uses of PlotComputation in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return PlotComputation
Modifier and Type
Method
Description
`PlotComputation`
GeneratedChartState.`getComputations()`
Returns an internal class capable of computing the chart content.

## Uses of PlotComputation in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return PlotComputation
Modifier and Type
Method
Description
`final PlotComputation`
BaseRenderer.`getComputations()`
Methods in org.eclipse.birt.chart.render with parameters of type PlotComputation
Modifier and Type
Method
Description
`static final BaseRenderer[]`
BaseRenderer.`instances(Chart cm, RunTimeContext rtc, PlotComputation oComputations)`
This method returns appropriate renders for the given chart model.
`void`
AxesRenderer.`set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)`
`void`
BaseRenderer.`set(Chart _cm, PlotComputation _oComputation, Series _se, SeriesDefinition _sd)`
Sets the context information for current renderer.

## Uses of PlotComputation in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type PlotComputation
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterComputations(Chart cm, PlotComputation oComputations)`
`void`
IChartEventHandler.`afterComputations(Chart cm, PlotComputation oComputations)`
Called after computations of chart model.
`void`
ChartEventHandlerAdapter.`beforeComputations(Chart cm, PlotComputation oComputations)`
`void`
IChartEventHandler.`beforeComputations(Chart cm, PlotComputation oComputations)`
Called before computations of chart model.